#include "CAbstractTexture.hpp"

void CAbstractTexture::setId(unsigned int newId) {
	m_glId = newId;
}

CAbstractTexture::CAbstractTexture(ETextureType type) :
	m_glId(0),
	m_type(type) {
}

unsigned int CAbstractTexture::getId(void) {
	return m_glId;
}

ETextureType CAbstractTexture::getType(void) {
	return m_type;
}